curl -X POST 'https://api.60db.ai/deep-analytics/imports/batches/9b7e6d5c-4b3a-4291-8f0e-1d2c3b4a5968/fetch-recordings' \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{"limit": 25}'
const res = await fetch('https://api.60db.ai/deep-analytics/imports/batches/9b7e6d5c-4b3a-4291-8f0e-1d2c3b4a5968/fetch-recordings', {
method: 'POST',
headers: {
Authorization: 'Bearer your-api-key',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"limit": 25
}),
});
const { success, data, message, code } = await res.json();
if (!success) throw new Error(`${code}: ${message}`);
Call Analysis
Fetch Recordings
Download pending URL rows in bulk
POST
/
deep-analytics
/
imports
/
batches
/
:batchId
/
fetch-recordings
curl -X POST 'https://api.60db.ai/deep-analytics/imports/batches/9b7e6d5c-4b3a-4291-8f0e-1d2c3b4a5968/fetch-recordings' \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{"limit": 25}'
const res = await fetch('https://api.60db.ai/deep-analytics/imports/batches/9b7e6d5c-4b3a-4291-8f0e-1d2c3b4a5968/fetch-recordings', {
method: 'POST',
headers: {
Authorization: 'Bearer your-api-key',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"limit": 25
}),
});
const { success, data, message, code } = await res.json();
if (!success) throw new Error(`${code}: ${message}`);
For
csv_urls batches. Downloads up to limit pending rows, 3 at a time. Call it again until attempted is 0. Fetching never starts analysis.
Needs
manage on the analyzer.Request
Headers
Path
Body
Response
200items holds one result per attempted row.
{
"success": true,
"data": {
"attempted": 2,
"stored": 1,
"failed": 1,
"skipped": 0,
"items": []
}
}
Errors
Errors use{ "success": false, "message": "...", "code": "..." }. See the overview for the codes every route can return.
This endpoint
| Status | Code | When |
|---|---|---|
| 409 | ACQUISITION_IN_PROGRESS | A row was started in the last 5 minutes |
Example
curl -X POST 'https://api.60db.ai/deep-analytics/imports/batches/9b7e6d5c-4b3a-4291-8f0e-1d2c3b4a5968/fetch-recordings' \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{"limit": 25}'
const res = await fetch('https://api.60db.ai/deep-analytics/imports/batches/9b7e6d5c-4b3a-4291-8f0e-1d2c3b4a5968/fetch-recordings', {
method: 'POST',
headers: {
Authorization: 'Bearer your-api-key',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"limit": 25
}),
});
const { success, data, message, code } = await res.json();
if (!success) throw new Error(`${code}: ${message}`);